from io import StringIO
from lxml import etree

f = StringIO('<foo><bar>POTATO</bar></foo>')
tree = etree.parse(f)
print(tree.xpath('/foo/bar/text()'))
r = tree.xpath('/foo/bar')
print(len(r))
print(r[0].text)

xsl = etree.XML('''\
<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
     <xsl:output method="xml" encoding="utf8" />
     <xsl:template match="/">
         <foo><xsl:value-of select="/a/b/text()" /></foo>
     </xsl:template>
 </xsl:stylesheet>''')
transform = etree.XSLT(xsl)
f = StringIO('<a><b>tomato</b></a>')
doc = etree.parse(f)
result = transform(doc)
result.write_output("output.xml")
